<script>
    import { line, interpolateTurbo } from 'd3';

    export let plotElement;
    export let data;
    export let xScale;
    export let yScale;

    $: multiplier = plotElement.plot_options.color_scale_parameter_multiplier;
    const normalizedValue = function(point, zmin, zmax, parameter) {
        let domain = yScale.domain()
        let value = point[parameter]*multiplier;
        let normalized_value = (value - zmin) / (zmax - zmin);
        return normalized_value;
    }

</script>

{#await data}
{:then datapoints}
{#if datapoints}
    {#each data as point}
        <circle cx={xScale(new Date(point.time))}
                cy={yScale(point[plotElement['parameter']])}
                r='5'
                stroke='none'
                stroke-width='0'
                fill={interpolateTurbo(normalizedValue(point,
                                                       plotElement['plot_options']['color_scale_domain']['default'][0],
                                                       plotElement['plot_options']['color_scale_domain']['default'][1],
                                                       plotElement['plot_options']['color_scale_parameter']))}/>
    {/each}
{/if}
{/await}

<style>

</style>
